<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: soot_defs::hmom_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacesoot__defs.html">soot_defs</a></li><li class="navelem"><a class="el" href="structsoot__defs_1_1hmom__t.html">hmom_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structsoot__defs_1_1hmom__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">soot_defs::hmom_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for soot_defs::hmom_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structsoot__defs_1_1hmom__t__coll__graph.png" border="0" usemap="#soot__defs_1_1hmom__t_coll__map" alt="Collaboration graph"/></div>
<map name="soot__defs_1_1hmom__t_coll__map" id="soot__defs_1_1hmom__t_coll__map">
<area shape="rect" id="node2" href="structsoot__defs_1_1r3__ptr__.html" title="{soot_defs::r3_ptr_\n|&#45; d\l|}" alt="" coords="1231,3061,1357,3139"/>
<area shape="rect" id="node3" href="structsoot__defs_1_1scalar__a__.html" title="{soot_defs::scalar_a_\n||}" alt="" coords="1381,3061,1524,3139"/>
<area shape="rect" id="node4" href="structscalar__defs_1_1scalar__.html" title="{scalar_defs::scalar_\n|+ name\l+ scheme\l+ type\l+ type_conv\l+ type_phase\l+ sid\l+ sc\l+ scold\l+ scold2\l+ diffmol\land 23 more...\l|}" alt="" coords="1383,2775,1522,2999"/>
<area shape="rect" id="node5" href="structmetric__conv__defs_1_1metric__conv__.html" title="{metric_conv_defs::metric\l_conv_\n|&#45; name\l&#45; order\l&#45; use_lap\l&#45; lap_orig_form\l&#45; config_vel_staggered\l&#45; type_conv\l&#45; type_rhoi\l&#45; stc1\l&#45; stc2\l&#45; stcp\land 66 more...\l|}" alt="" coords="5,2415,175,2653"/>
<area shape="rect" id="node6" href="structbc__metric__defs_1_1coeff__bc__.html" title="{bc_metric_defs::coeff_bc_\n|+ dist_e\l+ op\l+ rbc\l+ ibc\l|}" alt="" coords="121,2011,297,2132"/>
<area shape="rect" id="node43" href="structmetric__generic__defs_1_1metric__generic__.html" title="{metric_generic_defs\l::metric_generic_\n|&#45; name\l&#45; order\l&#45; st1\l&#45; st2\l&#45; stp\l&#45; visc_order\l&#45; st1_isx\l&#45; st2_isx\l&#45; coeff_deriv\l&#45; coeff_interp\land 38 more...\l|}" alt="" coords="257,2415,395,2653"/>
<area shape="rect" id="node7" href="structscalar__hybrid__defs__m_1_1solver__scalar__hybrid__t.html" title="{scalar_hybrid_defs\l_m::solver_scalar_hybrid_t\n|+ name\l+ active_hybrid\l+ max_closeness\l+ min_wt_hybrid\l+ max_wt_hybrid\l+ ratio_min_limit\l+ ratio_delta_limit\l+ delta_limit\l+ wt_diff_hybrid\l+ wt_fai\land 11 more...\l|}" alt="" coords="477,2415,655,2653"/>
<area shape="rect" id="node8" href="structsd__bc__defs__m_1_1bc__unit__.html" title="{sd_bc_defs_m::bc_unit_\n|+ sid\l+ use_target\l|}" alt="" coords="741,2488,905,2580"/>
<area shape="rect" id="node9" href="structdata__xx__defs_1_1bc__r1__.html" title="{data_xx_defs::bc_r1_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ vector_bc\l+ shared_bc\l+ ddt_flag\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\land 8 more...\l|}" alt="" coords="777,1225,923,1449"/>
<area shape="rect" id="node10" href="structsd__boundary__defs_1_1boundary__.html" title="{sd_boundary_defs::boundary_\n|+ name\l+ config\l+ changed\l+ object_moved\l+ sid\l+ sid_old\l+ material_index\l+ object_name\l+ index_s\l+ disable_thin_object\land 32 more...\l|}" alt="" coords="1116,1959,1312,2183"/>
<area shape="rect" id="node32" href="structib__defs__m_1_1ib__boundary__.html" title="{ib_defs_m::ib_boundary_\n|+ sc_neum_bc\l+ flag\l+ add_dpdx_intrp\l+ add_visc_intrp\l+ vel_nprobe\l+ mass_corr\l+ ke_corr\l+ solve_cv_gh\l+ cont_rm_divu\l+ clip_tw\land 12 more...\l|}" alt="" coords="999,1563,1165,1787"/>
<area shape="rect" id="node11" href="structsd__boundary__defs_1_1bc__face__.html" title="{sd_boundary_defs::bc\l_face_\n|+ i\l+ j\l+ k\l+ icv\l+ jcv\l+ kcv\l+ icv_gh\l+ jcv_gh\l+ kcv_gh\l+ dir\land 36 more...\l|}" alt="" coords="540,1217,691,1456"/>
<area shape="rect" id="node39" href="structsd__boundary__defs_1_1bc__face__unit__.html" title="{sd_boundary_defs::bc\l_face_unit_\n||}" alt="" coords="407,1629,557,1721"/>
<area shape="rect" id="node12" href="structib__defs__m_1_1ib__face__.html" title="{ib_defs_m::ib_face_\n|+ ifa\l+ area\l+ area_normal\l+ area_normal_ib\l+ normal_ib\l+ uold\l+ udot_dpdx\l+ udot_visc\l+ uvec\l+ sc_flux_bc\land 7 more...\l|}" alt="" coords="1249,696,1387,920"/>
<area shape="rect" id="node13" href="structib__defs__m_1_1ib__intrp__.html" title="{ib_defs_m::ib_intrp_\n|+ np\l+ index\l+ weight\l+ x_ib\l+ eta\l+ wt_neum\l|}" alt="" coords="1211,42,1350,193"/>
<area shape="rect" id="node15" href="structib__defs__m_1_1ib__nprobe__.html" title="{ib_defs_m::ib_nprobe_\n|+ np\l+ ip_u\l+ dx\l+ x_ib\l+ d_ib\l+ d_ib_sign\l+ nv\l+ e_t\l+ xp\l+ wt_flux2d\l+ wt_d2flux\l+ wt_lin\l+ wt_neum\l+ icv_n\l|}" alt="" coords="1204,321,1357,589"/>
<area shape="rect" id="node36" href="structib__defs__m_1_1ib__edge__.html" title="{ib_defs_m::ib_edge_\n|+ area_normal\l+ uold\l+ udot_dpdx\l+ udot_visc\l+ uvec\l+ ke_coef\l+ new\l+ dpdx\l+ dpdx_mult\l+ flag\l|}" alt="" coords="1412,703,1555,913"/>
<area shape="rect" id="node14" href="structobject__tools__m_1_1closest__point__info__t.html" title="{object_tools_m::closest\l_point_info_t\n|+ x_ib\l+ normal\l+ dist\l+ object_index\l|}" alt="" coords="1019,387,1179,523"/>
<area shape="rect" id="node16" href="structib__defs__m_1_1ib__dvisc__.html" title="{ib_defs_m::ib_dvisc_\n|+ dxx_bc\l+ dxx_f\l|}" alt="" coords="1669,409,1815,501"/>
<area shape="rect" id="node17" href="structdata__xx__defs_1_1r0__unit__.html" title="{data_xx_defs::r0_unit_\n|+ d\l|}" alt="" coords="1665,79,1819,156"/>
<area shape="rect" id="node18" href="structib__defs__m_1_1ib__wfunc__.html" title="{ib_defs_m::ib_wfunc_\n|+ u_bc\l+ ut_lag\l+ tau_w\l+ u_tau\l+ u_p\l+ e_t\l+ tauw_body_fit\l|}" alt="" coords="1382,373,1531,538"/>
<area shape="rect" id="node19" href="structsd__boundary__defs_1_1grid__face__.html" title="{sd_boundary_defs::grid\l_face_\n|+ i\l+ j\l+ k\l+ icv\l+ jcv\l+ kcv\l+ dir\l+ dir_sign\l+ type\l+ active\land 9 more...\l|}" alt="" coords="270,689,427,927"/>
<area shape="rect" id="node20" href="structbc__metric__defs_1_1bc__metric__.html" title="{bc_metric_defs::bc\l_metric_\n|+ type\l+ bc\l+ op\l+ op_bc\l+ op_orig\l+ dist_s\l+ dist_e\l+ target_op\l|}" alt="" coords="681,711,814,905"/>
<area shape="rect" id="node35" href="structsd__boundary__defs_1_1bc__edge__.html" title="{sd_boundary_defs::bc\l_edge_\n|+ i\l+ j\l+ k\l+ id_x\l+ ifa\l+ jfa\l+ kfa\l+ ifa_gh\l+ jfa_gh\l+ kfa_gh\land 25 more...\l|}" alt="" coords="1283,1217,1433,1456"/>
<area shape="rect" id="node21" href="structib__defs__m_1_1wf__face__.html" title="{ib_defs_m::wf_face_\n|+ ifa\l+ normal\l+ d_ib\l+ d_pp\l+ d_cv\l+ ifluid\l+ ubc_type\l+ delubc\l+ ubc_avg\l+ active\l+ flag\l|}" alt="" coords="513,696,656,920"/>
<area shape="rect" id="node22" href="structmulti__domain__defs__m_1_1md__src__point__t.html" title="{multi_domain_defs_m\l::md_src_point_t\n|+ x\l+ i_cv\l+ changed\l+ ghost_cv\l+ trg_irank\l+ trg_part_sid\l+ index_trg_pt\l+ index_buf_send\l+ i_s\l+ i_e\l+ coeff_poly\l+ flag\l|}" alt="" coords="625,329,774,582"/>
<area shape="rect" id="node38" href="structib__defs__m_1_1wf__edge__.html" title="{ib_defs_m::wf_edge_\n|+ ied\l+ ied_comm\l+ normal\l+ d_ib\l+ d_pp\l+ d_fa\l+ ifluid\l+ ubc_type\l+ delubc\l+ ubc_avg\l+ active\l+ flag\l|}" alt="" coords="1078,689,1225,927"/>
<area shape="rect" id="node23" href="structmulti__domain__defs__m_1_1partition__info__t.html" title="{multi_domain_defs_m\l::partition_info_t\n|+ x_min\l+ x_max\l+ dx\l+ x_ref\l+ op\l+ op_i0\l+ domain\l+ sid\l+ irank\l+ sid_under_domain\l|}" alt="" coords="625,5,774,229"/>
<area shape="rect" id="node24" href="structsd__boundary__defs_1_1object__item__t.html" title="{sd_boundary_defs::object\l_item_t\n||}" alt="" coords="1790,1629,1961,1721"/>
<area shape="rect" id="node25" href="structobject__defs__m_1_1object__t.html" title="{object_defs_m::object_t\n|+ index_s\l+ type\l+ state\l+ virtual\l+ dummy\l+ rewind_next\l+ boundary_name\l+ id_attached_object\l+ rw_flag\l+ dump_flag\land 22 more...\l|}" alt="" coords="2143,1225,2304,1449"/>
<area shape="rect" id="node26" href="structobject__defs__m_1_1object__motions__t.html" title="{object_defs_m::object\l_motions_t\n|+ time\l|}" alt="" coords="2011,762,2161,854"/>
<area shape="rect" id="node27" href="structobject__defs__m_1_1object__a__motion__t.html" title="{object_defs_m::object\l_a_motion_t\n|+ type\l+ d\l+ center_now\l+ d2\l+ d_char\l|}" alt="" coords="2011,380,2161,531"/>
<area shape="rect" id="node28" href="structnamelist__m_1_1name__t.html" title="{namelist_m::name_t\n|&#45; d\l|}" alt="" coords="2247,769,2387,847"/>
<area shape="rect" id="node29" href="structobject__defs__m_1_1object__domain__t.html" title="{object_defs_m::object\l_domain_t\n|+ delta\l+ imino\l+ imaxo\l+ jmino\l+ jmaxo\l+ kmino\l+ kmaxo\l+ icyl\l+ x\l+ y\land 6 more...\l|}" alt="" coords="2468,689,2619,927"/>
<area shape="rect" id="node30" href="structstl__m_1_1stl__t.html" title="{stl_m::stl_t\n|&#45; name\l&#45; nv\l&#45; nf\l&#45; xyz\l&#45; ixyz\l&#45; v_of_f\l&#45; normal\l&#45; f_of_v_i\l&#45; f_of_v_v\l&#45; f_of_v_s\land 12 more...\l|}" alt="" coords="1822,696,1929,920"/>
<area shape="rect" id="node31" href="structparser_1_1param__t.html" title="{parser::param_t\n|+ type_line_len\l+ domain\l+ line\l+ line_ext1\l+ line_ext2\l+ line_ext3\l+ argc\l+ argc_tag\l+ argv\l+ argv_tag\l+ request_count\l+ processed\l+ domain_given\l+ tag_pos\l+ value_pos\l|}" alt="" coords="2643,667,2759,949"/>
<area shape="rect" id="node33" href="structib__defs__m_1_1ib__wf__bdry__.html" title="{ib_defs_m::ib_wf_bdry_\n|+ updated_tauw\l+ use_dpdx_t\l+ tauw_body_fit\l+ vel_type_t\l+ vel_type_n\l+ eddy_visc_type\l+ tot_time_mean\l+ filt_time_mean\l+ max_visc_ratio\l+ visc_dpdx_mult\land 12 more...\l|}" alt="" coords="1009,1225,1169,1449"/>
<area shape="rect" id="node34" href="structdata__xx__defs_1_1r1__unit__.html" title="{data_xx_defs::r1_unit_\n|+ d\l|}" alt="" coords="899,769,1054,847"/>
<area shape="rect" id="node37" href="structsd__boundary__defs_1_1grid__edge__.html" title="{sd_boundary_defs::grid\l_edge_\n|+ i\l+ j\l+ k\l+ id_x\l+ ifa\l+ jfa\l+ kfa\l+ ifa_gh\l+ jfa_gh\l+ kfa_gh\land 12 more...\l|}" alt="" coords="1579,689,1737,927"/>
<area shape="rect" id="node40" href="structib__defs__m_1_1wf__boundary__.html" title="{ib_defs_m::wf_boundary_\n||}" alt="" coords="2665,1636,2835,1713"/>
<area shape="rect" id="node41" href="structib__defs__m_1_1visc__src__bdry__t.html" title="{ib_defs_m::visc_src\l_bdry_t\n|+ type_interp\l+ interp_max_width\l+ interp_max_delta\l+ set_ubc\l+ nfa\l+ ned_comm\l+ maxcw\l+ idist_max\l+ tw\l|}" alt="" coords="2682,1232,2821,1441"/>
<area shape="rect" id="node42" href="structscalar__weno3__defs_1_1solver__weno3__.html" title="{scalar_weno3_defs::\lsolver_weno3_\n|+ name\l+ weno3_xp\l+ weno3_yp\l+ weno3_zp\l+ weno3_xm\l+ weno3_ym\l+ weno3_zm\l+ cd_xp_1d\l+ cd_yp_1d\l+ cd_zp_1d\land 10 more...\l|}" alt="" coords="991,2415,1133,2653"/>
<area shape="rect" id="node44" href="structscalar__cd2__defs_1_1solver__cd2__.html" title="{scalar_cd2_defs::solver_cd2_\n|+ name\l+ cd2_x\l+ cd2_y\l+ cd2_z\l+ flag\l|}" alt="" coords="1219,2466,1414,2602"/>
<area shape="rect" id="node45" href="structscalar__hybrid__defs__m_1_1matrix__scalar__hybrid__t.html" title="{scalar_hybrid_defs\l_m::matrix_scalar_hybrid_t\n|+ sts1\l+ sts2\l+ n_diag\l+ ax_flux\l+ ay_flux\l+ az_flux\l+ aux_flux\l+ auy_flux\l+ auz_flux\l|}" alt="" coords="1499,2429,1678,2639"/>
<area shape="rect" id="node46" href="structscalar__weno5__defs_1_1solver__weno5__.html" title="{scalar_weno5_defs::\lsolver_weno5_\n|+ name\l+ ult\l+ weno5_xm\l+ weno5_xp\l+ weno5_ym\l+ weno5_yp\l+ weno5_zm\l+ weno5_zp\l+ s0_xm_1d\l+ s0_xp_1d\land 17 more...\l|}" alt="" coords="1764,2415,1907,2653"/>
<area shape="rect" id="node47" href="structscalar__quick__defs_1_1solver__quick__.html" title="{scalar_quick_defs::\lsolver_quick_\n|+ name\l+ quick_xp\l+ quick_yp\l+ quick_zp\l+ quick_xm\l+ quick_ym\l+ quick_zm\l+ quick_xp_1d\l+ quick_yp_1d\l+ quick_zp_1d\land 6 more...\l|}" alt="" coords="2004,1952,2139,2191"/>
<area shape="rect" id="node48" href="structscalar__bquick__defs_1_1solver__bquick__t.html" title="{scalar_bquick_defs\l::solver_bquick_t\n|+ name\l+ bquick_xp\l+ bquick_yp\l+ bquick_zp\l+ bquick_xm\l+ bquick_ym\l+ bquick_zm\l+ bounded\l+ sc_min_ptr\l+ sc_max_ptr\l+ force_upwind\l+ bound_type\l+ flag\l|}" alt="" coords="2127,2400,2261,2668"/>
<area shape="rect" id="node49" href="structscalar__houc__defs_1_1solver__houc__.html" title="{scalar_houc_defs::solver\l_houc_\n|+ name\l+ nhouc\l+ sthp1\l+ sthp2\l+ sthm1\l+ sthm2\l+ houc_xm\l+ houc_xp\l+ houc_ym\l+ houc_yp\land 9 more...\l|}" alt="" coords="2347,2415,2513,2653"/>
<area shape="rect" id="node50" href="structimplicit__defs_1_1solver__implicit__.html" title="{implicit_defs::solver\l_implicit_\n|+ implicit_x\l+ implicit_y\l+ implicit_z\l+ implicit_any\l+ implicit_auto\l+ type\l+ cvg\l+ max_iter\l|}" alt="" coords="2599,2437,2738,2631"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1b71de1f1e88efb2321d34adc601b930"><td class="memItemLeft" align="right" valign="top">integer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a1b71de1f1e88efb2321d34adc601b930">imsq</a></td></tr>
<tr class="separator:a1b71de1f1e88efb2321d34adc601b930"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81331672574d2fd8446a3f3477eba712"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a81331672574d2fd8446a3f3477eba712">mom</a> =&gt; null()</td></tr>
<tr class="separator:a81331672574d2fd8446a3f3477eba712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eaa34505c1cdce385cd2f30baf06771"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a7eaa34505c1cdce385cd2f30baf06771">old_mom</a> =&gt; null()</td></tr>
<tr class="separator:a7eaa34505c1cdce385cd2f30baf06771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a188eff4f5cb0f7b82ef95f394a22e16a"><td class="memItemLeft" align="right" valign="top">real(wp), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a188eff4f5cb0f7b82ef95f394a22e16a">sootdensity</a> = 1800.0_WP</td></tr>
<tr class="separator:a188eff4f5cb0f7b82ef95f394a22e16a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a666c2c1b56be8a1bc33d5cba1e62b558"><td class="memItemLeft" align="right" valign="top">real(wp), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a666c2c1b56be8a1bc33d5cba1e62b558">molarmasssoot</a> = 12.0e-3_WP</td></tr>
<tr class="separator:a666c2c1b56be8a1bc33d5cba1e62b558"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a699c1e0658f4788fddb4f3f6efc724ae"><td class="memItemLeft" align="right" valign="top">real(wp), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a699c1e0658f4788fddb4f3f6efc724ae">avogadro</a> = 6.022e23_WP</td></tr>
<tr class="separator:a699c1e0658f4788fddb4f3f6efc724ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437decff1becc051b67629fb8f43da33"><td class="memItemLeft" align="right" valign="top">real(wp), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a437decff1becc051b67629fb8f43da33">rgas</a> = 8.314_WP</td></tr>
<tr class="separator:a437decff1becc051b67629fb8f43da33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6e2f37c8c95a608b74ec02f6ae4ccd"><td class="memItemLeft" align="right" valign="top">real(wp), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a7b6e2f37c8c95a608b74ec02f6ae4ccd">df</a> = 1.8_WP</td></tr>
<tr class="separator:a7b6e2f37c8c95a608b74ec02f6ae4ccd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7030a178544b5463e1472b6f03850a9"><td class="memItemLeft" align="right" valign="top">real(wp), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ac7030a178544b5463e1472b6f03850a9">chisoot</a> = 1.7e19_WP</td></tr>
<tr class="separator:ac7030a178544b5463e1472b6f03850a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae5fbb7305c621aecac9ddd2f3aa27fc0"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ae5fbb7305c621aecac9ddd2f3aa27fc0">order</a></td></tr>
<tr class="separator:ae5fbb7305c621aecac9ddd2f3aa27fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7629ba304499f012155ae5a708ad11b"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsoot__defs_1_1scalar__a__.html">scalar_a_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ae7629ba304499f012155ae5a708ad11b">mxy</a> =&gt; null()</td></tr>
<tr class="separator:ae7629ba304499f012155ae5a708ad11b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a582aa27357d561bdfa6f7acf9e4cf77a"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsoot__defs_1_1r3__ptr__.html">r3_ptr_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a582aa27357d561bdfa6f7acf9e4cf77a">srcmxy</a> =&gt; null()</td></tr>
<tr class="separator:a582aa27357d561bdfa6f7acf9e4cf77a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a53d394a019b36367e62d677ed9c781"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsoot__defs_1_1scalar__a__.html">scalar_a_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a5a53d394a019b36367e62d677ed9c781">srcmxy_dump</a> =&gt; null()</td></tr>
<tr class="separator:a5a53d394a019b36367e62d677ed9c781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a088975362362cf0656b828a9031871e8"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a088975362362cf0656b828a9031871e8">im00</a> = 1</td></tr>
<tr class="separator:a088975362362cf0656b828a9031871e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45943574b48a4f5e6653843d28f094a3"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a45943574b48a4f5e6653843d28f094a3">im10</a> = 2</td></tr>
<tr class="separator:a45943574b48a4f5e6653843d28f094a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2976cc16b512d51992e6f32236f82d92"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a2976cc16b512d51992e6f32236f82d92">im01</a> = 3</td></tr>
<tr class="separator:a2976cc16b512d51992e6f32236f82d92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52cbc246dae752d9d36c189c595cd27a"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a52cbc246dae752d9d36c189c595cd27a">im20</a> = 4</td></tr>
<tr class="separator:a52cbc246dae752d9d36c189c595cd27a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87efe9408fe89186db5b66b360618330"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a87efe9408fe89186db5b66b360618330">im11</a> = 5</td></tr>
<tr class="separator:a87efe9408fe89186db5b66b360618330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0134e628fc0bdbb86e12bf7f1aaad44d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a0134e628fc0bdbb86e12bf7f1aaad44d">im02</a> = 6</td></tr>
<tr class="separator:a0134e628fc0bdbb86e12bf7f1aaad44d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab334a4e5f0c4fe72b4a2238379689882"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ab334a4e5f0c4fe72b4a2238379689882">in</a></td></tr>
<tr class="separator:ab334a4e5f0c4fe72b4a2238379689882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac46f380d158b039863783d9215f9eb62"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ac46f380d158b039863783d9215f9eb62">ipah</a></td></tr>
<tr class="separator:ac46f380d158b039863783d9215f9eb62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c3c9d48c9af8f347a028cae2d0030e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a44c3c9d48c9af8f347a028cae2d0030e">nbrc</a></td></tr>
<tr class="separator:a44c3c9d48c9af8f347a028cae2d0030e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fbf497ed99fef5e1630bd82c8cc6c33"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a4fbf497ed99fef5e1630bd82c8cc6c33">nbrh</a></td></tr>
<tr class="separator:a4fbf497ed99fef5e1630bd82c8cc6c33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd571f32ec7664c1af0e988b56eeae85"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#abd571f32ec7664c1af0e988b56eeae85">dimer_nbrc</a></td></tr>
<tr class="separator:abd571f32ec7664c1af0e988b56eeae85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a939ee8b43527601983a6255a9565941b"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a939ee8b43527601983a6255a9565941b">dimer_nbrh</a></td></tr>
<tr class="separator:a939ee8b43527601983a6255a9565941b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00b4e6232254a0bf383b234c094d319e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a00b4e6232254a0bf383b234c094d319e">nucl_nbrc</a></td></tr>
<tr class="separator:a00b4e6232254a0bf383b234c094d319e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9829af9009bbc66e5b2c002fcbabca7b"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a9829af9009bbc66e5b2c002fcbabca7b">nucl_surf</a></td></tr>
<tr class="separator:a9829af9009bbc66e5b2c002fcbabca7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94cf9a02d59c4aa73a2a0b6e6fc8c5ef"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a94cf9a02d59c4aa73a2a0b6e6fc8c5ef">nucl_nbrh</a></td></tr>
<tr class="separator:a94cf9a02d59c4aa73a2a0b6e6fc8c5ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747c205db3a2a53ef9a60df51052914a"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a747c205db3a2a53ef9a60df51052914a">smallweight</a> = 1.0E-20_WP</td></tr>
<tr class="separator:a747c205db3a2a53ef9a60df51052914a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b10506643aaaa8a84f6d90d7d35ca6"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a47b10506643aaaa8a84f6d90d7d35ca6">smally</a> = 1.0e-60_WP</td></tr>
<tr class="separator:a47b10506643aaaa8a84f6d90d7d35ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b85d5d097eac587fcc2d5c3dedcced"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ab3b85d5d097eac587fcc2d5c3dedcced">src_mom</a> =&gt; null()</td></tr>
<tr class="separator:ab3b85d5d097eac587fcc2d5c3dedcced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a533d271c8ec0690c83c3a623fa06520b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a533d271c8ec0690c83c3a623fa06520b">kmom</a> =&gt; null()</td></tr>
<tr class="separator:a533d271c8ec0690c83c3a623fa06520b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa04fb06533832d348b4ae0e8d67ffc5c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#aa04fb06533832d348b4ae0e8d67ffc5c">moments</a> =&gt; null()</td></tr>
<tr class="separator:aa04fb06533832d348b4ae0e8d67ffc5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dce26fe74b2f6a1257019ef16ddc831"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a9dce26fe74b2f6a1257019ef16ddc831">sqrtt</a></td></tr>
<tr class="separator:a9dce26fe74b2f6a1257019ef16ddc831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b7345e763d602862978c8f5ed0e8ad"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a26b7345e763d602862978c8f5ed0e8ad">t_mu</a></td></tr>
<tr class="separator:a26b7345e763d602862978c8f5ed0e8ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a189e8796818c4f51e5399a9e414190dc"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a189e8796818c4f51e5399a9e414190dc">musqrtw_rhosqrtt</a></td></tr>
<tr class="separator:a189e8796818c4f51e5399a9e414190dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af88626ea657fd94776410ae7a427eb"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a1af88626ea657fd94776410ae7a427eb">wcoeff</a></td></tr>
<tr class="separator:a1af88626ea657fd94776410ae7a427eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e84684ca997dc26ed60e4791587b55"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ad0e84684ca997dc26ed60e4791587b55">oxcoeff</a></td></tr>
<tr class="separator:ad0e84684ca997dc26ed60e4791587b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae021fbde3a0827ecfe82af932bb6bd36"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ae021fbde3a0827ecfe82af932bb6bd36">o2coeff</a></td></tr>
<tr class="separator:ae021fbde3a0827ecfe82af932bb6bd36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d9f308af3a530f558ee9d3996932523"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a6d9f308af3a530f558ee9d3996932523">prodrate</a></td></tr>
<tr class="separator:a6d9f308af3a530f558ee9d3996932523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac926235e73a953d222703c4bd0156f18"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ac926235e73a953d222703c4bd0156f18">y_pah_table</a></td></tr>
<tr class="separator:ac926235e73a953d222703c4bd0156f18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6247371af414c4debeacdba124e084fc"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a6247371af414c4debeacdba124e084fc">src_chem_pos</a></td></tr>
<tr class="separator:a6247371af414c4debeacdba124e084fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007e455719a23c817e8560b1db876938"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a007e455719a23c817e8560b1db876938">src_chem_neg</a></td></tr>
<tr class="separator:a007e455719a23c817e8560b1db876938"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9495255a7595dbf04a8bfc10562f2895"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a9495255a7595dbf04a8bfc10562f2895">src_dimer</a></td></tr>
<tr class="separator:a9495255a7595dbf04a8bfc10562f2895"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ff6e07426ae79280f74b1034e14d36"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a84ff6e07426ae79280f74b1034e14d36">dimer_conc</a></td></tr>
<tr class="separator:a84ff6e07426ae79280f74b1034e14d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff89b4d9f4402c358adfb15faabd560a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#aff89b4d9f4402c358adfb15faabd560a">divgt</a> =&gt; null()</td></tr>
<tr class="separator:aff89b4d9f4402c358adfb15faabd560a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5db030cc52234674db4f80c3131ac67"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ae5db030cc52234674db4f80c3131ac67">totdivg</a></td></tr>
<tr class="separator:ae5db030cc52234674db4f80c3131ac67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504ff651c74374643d156bfda3ae5be4"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a504ff651c74374643d156bfda3ae5be4">carbontodiam</a></td></tr>
<tr class="separator:a504ff651c74374643d156bfda3ae5be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6d070941ac7427a363fa0661a19fd16"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ac6d070941ac7427a363fa0661a19fd16">cfm</a></td></tr>
<tr class="separator:ac6d070941ac7427a363fa0661a19fd16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a7bf66e00bdee77c7dbfd0d1cde12f6"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a5a7bf66e00bdee77c7dbfd0d1cde12f6">ccn</a></td></tr>
<tr class="separator:a5a7bf66e00bdee77c7dbfd0d1cde12f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09163b3831210e38460b6fb678b0f339"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a09163b3831210e38460b6fb678b0f339">lambda</a></td></tr>
<tr class="separator:a09163b3831210e38460b6fb678b0f339"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac2aecb8055509d3ac4f02256733a895"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#aac2aecb8055509d3ac4f02256733a895">av</a></td></tr>
<tr class="separator:aac2aecb8055509d3ac4f02256733a895"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83d38078af12022bfda762217907c492"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a83d38078af12022bfda762217907c492">as</a></td></tr>
<tr class="separator:a83d38078af12022bfda762217907c492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4309cb87ac8816aae6429e18ce893eb7"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#a4309cb87ac8816aae6429e18ce893eb7">fitc</a></td></tr>
<tr class="separator:a4309cb87ac8816aae6429e18ce893eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac35113c1ce89f07037a36b4a3f7faa5a"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsoot__defs_1_1hmom__t.html#ac35113c1ce89f07037a36b4a3f7faa5a">fitexp</a></td></tr>
<tr class="separator:ac35113c1ce89f07037a36b4a3f7faa5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a83d38078af12022bfda762217907c492"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83d38078af12022bfda762217907c492">&#9670;&nbsp;</a></span>as</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::as</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac2aecb8055509d3ac4f02256733a895"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac2aecb8055509d3ac4f02256733a895">&#9670;&nbsp;</a></span>av</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::av</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a699c1e0658f4788fddb4f3f6efc724ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a699c1e0658f4788fddb4f3f6efc724ae">&#9670;&nbsp;</a></span>avogadro</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), public soot_defs::hmom_t::avogadro = 6.022e23_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a504ff651c74374643d156bfda3ae5be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a504ff651c74374643d156bfda3ae5be4">&#9670;&nbsp;</a></span>carbontodiam</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::carbontodiam</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a7bf66e00bdee77c7dbfd0d1cde12f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a7bf66e00bdee77c7dbfd0d1cde12f6">&#9670;&nbsp;</a></span>ccn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::ccn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac6d070941ac7427a363fa0661a19fd16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6d070941ac7427a363fa0661a19fd16">&#9670;&nbsp;</a></span>cfm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::cfm</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7030a178544b5463e1472b6f03850a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7030a178544b5463e1472b6f03850a9">&#9670;&nbsp;</a></span>chisoot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), public soot_defs::hmom_t::chisoot = 1.7e19_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7b6e2f37c8c95a608b74ec02f6ae4ccd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b6e2f37c8c95a608b74ec02f6ae4ccd">&#9670;&nbsp;</a></span>df</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), public soot_defs::hmom_t::df = 1.8_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a84ff6e07426ae79280f74b1034e14d36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ff6e07426ae79280f74b1034e14d36">&#9670;&nbsp;</a></span>dimer_conc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::dimer_conc</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abd571f32ec7664c1af0e988b56eeae85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd571f32ec7664c1af0e988b56eeae85">&#9670;&nbsp;</a></span>dimer_nbrc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::dimer_nbrc</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a939ee8b43527601983a6255a9565941b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a939ee8b43527601983a6255a9565941b">&#9670;&nbsp;</a></span>dimer_nbrh</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::dimer_nbrh</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff89b4d9f4402c358adfb15faabd560a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff89b4d9f4402c358adfb15faabd560a">&#9670;&nbsp;</a></span>divgt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer soot_defs::hmom_t::divgt =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4309cb87ac8816aae6429e18ce893eb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4309cb87ac8816aae6429e18ce893eb7">&#9670;&nbsp;</a></span>fitc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::fitc</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac35113c1ce89f07037a36b4a3f7faa5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac35113c1ce89f07037a36b4a3f7faa5a">&#9670;&nbsp;</a></span>fitexp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::fitexp</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a088975362362cf0656b828a9031871e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a088975362362cf0656b828a9031871e8">&#9670;&nbsp;</a></span>im00</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::im00 = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2976cc16b512d51992e6f32236f82d92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2976cc16b512d51992e6f32236f82d92">&#9670;&nbsp;</a></span>im01</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::im01 = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0134e628fc0bdbb86e12bf7f1aaad44d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0134e628fc0bdbb86e12bf7f1aaad44d">&#9670;&nbsp;</a></span>im02</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::im02 = 6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a45943574b48a4f5e6653843d28f094a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45943574b48a4f5e6653843d28f094a3">&#9670;&nbsp;</a></span>im10</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::im10 = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a87efe9408fe89186db5b66b360618330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87efe9408fe89186db5b66b360618330">&#9670;&nbsp;</a></span>im11</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::im11 = 5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52cbc246dae752d9d36c189c595cd27a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52cbc246dae752d9d36c189c595cd27a">&#9670;&nbsp;</a></span>im20</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::im20 = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b71de1f1e88efb2321d34adc601b930"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b71de1f1e88efb2321d34adc601b930">&#9670;&nbsp;</a></span>imsq</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, public soot_defs::hmom_t::imsq</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab334a4e5f0c4fe72b4a2238379689882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab334a4e5f0c4fe72b4a2238379689882">&#9670;&nbsp;</a></span>in</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::in</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac46f380d158b039863783d9215f9eb62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac46f380d158b039863783d9215f9eb62">&#9670;&nbsp;</a></span>ipah</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::ipah</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a533d271c8ec0690c83c3a623fa06520b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a533d271c8ec0690c83c3a623fa06520b">&#9670;&nbsp;</a></span>kmom</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer soot_defs::hmom_t::kmom =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a09163b3831210e38460b6fb678b0f339"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09163b3831210e38460b6fb678b0f339">&#9670;&nbsp;</a></span>lambda</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::lambda</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a666c2c1b56be8a1bc33d5cba1e62b558"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a666c2c1b56be8a1bc33d5cba1e62b558">&#9670;&nbsp;</a></span>molarmasssoot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), public soot_defs::hmom_t::molarmasssoot = 12.0e-3_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a81331672574d2fd8446a3f3477eba712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81331672574d2fd8446a3f3477eba712">&#9670;&nbsp;</a></span>mom</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer, public soot_defs::hmom_t::mom =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa04fb06533832d348b4ae0e8d67ffc5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa04fb06533832d348b4ae0e8d67ffc5c">&#9670;&nbsp;</a></span>moments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer soot_defs::hmom_t::moments =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a189e8796818c4f51e5399a9e414190dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a189e8796818c4f51e5399a9e414190dc">&#9670;&nbsp;</a></span>musqrtw_rhosqrtt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::musqrtw_rhosqrtt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7629ba304499f012155ae5a708ad11b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7629ba304499f012155ae5a708ad11b">&#9670;&nbsp;</a></span>mxy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsoot__defs_1_1scalar__a__.html">scalar_a_</a>), dimension(:), pointer soot_defs::hmom_t::mxy =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a44c3c9d48c9af8f347a028cae2d0030e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44c3c9d48c9af8f347a028cae2d0030e">&#9670;&nbsp;</a></span>nbrc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::nbrc</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4fbf497ed99fef5e1630bd82c8cc6c33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fbf497ed99fef5e1630bd82c8cc6c33">&#9670;&nbsp;</a></span>nbrh</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::nbrh</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a00b4e6232254a0bf383b234c094d319e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00b4e6232254a0bf383b234c094d319e">&#9670;&nbsp;</a></span>nucl_nbrc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::nucl_nbrc</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a94cf9a02d59c4aa73a2a0b6e6fc8c5ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94cf9a02d59c4aa73a2a0b6e6fc8c5ef">&#9670;&nbsp;</a></span>nucl_nbrh</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::nucl_nbrh</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9829af9009bbc66e5b2c002fcbabca7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9829af9009bbc66e5b2c002fcbabca7b">&#9670;&nbsp;</a></span>nucl_surf</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::nucl_surf</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae021fbde3a0827ecfe82af932bb6bd36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae021fbde3a0827ecfe82af932bb6bd36">&#9670;&nbsp;</a></span>o2coeff</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::o2coeff</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7eaa34505c1cdce385cd2f30baf06771"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eaa34505c1cdce385cd2f30baf06771">&#9670;&nbsp;</a></span>old_mom</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer, public soot_defs::hmom_t::old_mom =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5fbb7305c621aecac9ddd2f3aa27fc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5fbb7305c621aecac9ddd2f3aa27fc0">&#9670;&nbsp;</a></span>order</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer soot_defs::hmom_t::order</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad0e84684ca997dc26ed60e4791587b55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0e84684ca997dc26ed60e4791587b55">&#9670;&nbsp;</a></span>oxcoeff</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::oxcoeff</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d9f308af3a530f558ee9d3996932523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d9f308af3a530f558ee9d3996932523">&#9670;&nbsp;</a></span>prodrate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::prodrate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a437decff1becc051b67629fb8f43da33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a437decff1becc051b67629fb8f43da33">&#9670;&nbsp;</a></span>rgas</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), public soot_defs::hmom_t::rgas = 8.314_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a747c205db3a2a53ef9a60df51052914a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a747c205db3a2a53ef9a60df51052914a">&#9670;&nbsp;</a></span>smallweight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::smallweight = 1.0E-20_WP</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a47b10506643aaaa8a84f6d90d7d35ca6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47b10506643aaaa8a84f6d90d7d35ca6">&#9670;&nbsp;</a></span>smally</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::smally = 1.0e-60_WP</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a188eff4f5cb0f7b82ef95f394a22e16a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a188eff4f5cb0f7b82ef95f394a22e16a">&#9670;&nbsp;</a></span>sootdensity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), public soot_defs::hmom_t::sootdensity = 1800.0_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9dce26fe74b2f6a1257019ef16ddc831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dce26fe74b2f6a1257019ef16ddc831">&#9670;&nbsp;</a></span>sqrtt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::sqrtt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a007e455719a23c817e8560b1db876938"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a007e455719a23c817e8560b1db876938">&#9670;&nbsp;</a></span>src_chem_neg</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::src_chem_neg</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6247371af414c4debeacdba124e084fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6247371af414c4debeacdba124e084fc">&#9670;&nbsp;</a></span>src_chem_pos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::src_chem_pos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9495255a7595dbf04a8bfc10562f2895"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9495255a7595dbf04a8bfc10562f2895">&#9670;&nbsp;</a></span>src_dimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::src_dimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3b85d5d097eac587fcc2d5c3dedcced"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3b85d5d097eac587fcc2d5c3dedcced">&#9670;&nbsp;</a></span>src_mom</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer soot_defs::hmom_t::src_mom =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a582aa27357d561bdfa6f7acf9e4cf77a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a582aa27357d561bdfa6f7acf9e4cf77a">&#9670;&nbsp;</a></span>srcmxy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsoot__defs_1_1r3__ptr__.html">r3_ptr_</a>), dimension(:), pointer soot_defs::hmom_t::srcmxy =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a53d394a019b36367e62d677ed9c781"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a53d394a019b36367e62d677ed9c781">&#9670;&nbsp;</a></span>srcmxy_dump</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsoot__defs_1_1scalar__a__.html">scalar_a_</a>), dimension(:), pointer soot_defs::hmom_t::srcmxy_dump =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a26b7345e763d602862978c8f5ed0e8ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26b7345e763d602862978c8f5ed0e8ad">&#9670;&nbsp;</a></span>t_mu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::t_mu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5db030cc52234674db4f80c3131ac67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5db030cc52234674db4f80c3131ac67">&#9670;&nbsp;</a></span>totdivg</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::totdivg</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1af88626ea657fd94776410ae7a427eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1af88626ea657fd94776410ae7a427eb">&#9670;&nbsp;</a></span>wcoeff</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::wcoeff</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac926235e73a953d222703c4bd0156f18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac926235e73a953d222703c4bd0156f18">&#9670;&nbsp;</a></span>y_pah_table</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) soot_defs::hmom_t::y_pah_table</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="soot__defs_8f90.html">soot_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
